Subject: RE: [Seamoby] RE: what is edge signalling? (was: RE: [NSIS] Re: C omments on draft-westphal-nsis-qos-mobileip-00.txt)

From: "Gary Kenward" <[email-masked]>
Date: Mon, 8 Jul 2002 10:36:54 -0400

Charlie:

  I guess the word "negotiate" really trips me up here. CT is a 
protocol for transferring forwarding service context, not for negotiating
services between ARs. If service negotiation is required, then NSIS could be

the protocol to be used.

  In my statement that you quote below, I used the words "should not": in 
the normal course of a handover, service negotiation must be rare.
Negotiation, 
by definition, takes time, and anything that takes time will generally delay

the service from being supported at the new AR. In the normal course of a
handover, 
less signalling is always better.

  In wireless, of course, the exception is the rule, and so there must be 
contingencies for service negotiation. This would be NSIS' role. 

  And so, I did not make my point clear. My main intent was to emphasize
that
if there is a link between CT and NSIS, it is a very simple one: if CT fails
to provide a context that is useable by the new AR, then NSIS may be used to
negotiate a suitable service with the network (and thus establish suitable
context at the new AR). 

Cheers,
Gary

> -----Original Message-----
> From: Charlie Perkins [mailto:[email-masked]]
> Sent: July 8, 2002 10:16
> To: Kenward, Gary [WDLN2:AN10:EXCH]
> Cc: [email-masked]; [email-masked]'
> Subject: Re: [Seamoby] RE: what is edge signalling? (was: RE: 
> [NSIS] Re:
> Comments on draft-westphal-nsis-qos-mobileip-00.txt)
> 
> 
> 
> Hello Gary,
> 
> I have a comment on another point in your earlier message.
> 
> Gary Kenward wrote:
> 
> > In my view, if CT is in place, then NSIS should not be invoked as a
> > result of a handover.
> 
> Suppose a handover has occurred, and some QoS has been negotiated
> via CT between two access routers to support the mobile node 
> at the new
> access routers.  This could involve having the new router making sure
> it has sufficient capacity to support the mobile device, and 
> making sure
> 
> that the tunnel between the two routers can be managed with small
> enough delay.
> 
> Then, after the handover is complete, it might be better to 
> renegotiate
> QoS so that the previous access router no longer was required to
> maintain the excess capacity needed to serve the tunnel to the new
> access router.  This could involve signaling so that packets are
> routed directly to the new access router, presumably with some QoS
> negotiation.  This could involve NSIS.
> 
> Thus, I don't agree with your statement above.  But I am willing to
> agree
> that CT should not necessarily be intertwined with NSIS.
> 
> Regards,
> Charlie P.
> 
> 
> 
> >
> 
>